Bug 5921 - Enumchron does not show up on item details screen in staff client
Summary: Enumchron does not show up on item details screen in staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-21 18:55 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (2.50 KB, patch)
2011-03-22 21:38 UTC, Nicole C. Engard
Details | Diff | Splinter Review
follow-up patch (1.99 KB, patch)
2011-04-05 12:22 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
signed patch (second) (2.03 KB, patch)
2011-04-07 14:48 UTC, claire.hernandez@biblibre.com
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-03-21 18:55:41 UTC
Serial enumeration/chronology information does not show in the item details screen on the staff client, although all the other fields do.
Comment 1 Nicole C. Engard 2011-03-22 21:38:06 UTC
Created attachment 3408 [details] [review]
patch
Comment 2 Chris Cormack 2011-03-24 00:42:19 UTC
Pushed, please test
Comment 3 Jared Camins-Esakov 2011-03-28 17:28:18 UTC
This works properly for me.
Comment 4 Jared Camins-Esakov 2011-04-05 12:22:21 UTC
Created attachment 3677 [details] [review]
follow-up patch

Follow-up patch to fix unfortunate line wrapping on More details page.
Comment 5 Chris Cormack 2011-04-06 03:58:47 UTC
Original patch submitted before the feature freeze, so the follow up patch is still eligible, please sign off.
Comment 6 claire.hernandez@biblibre.com 2011-04-07 08:34:05 UTC
- The patch applies
- The template displays "Serial enumeration"
- But the var is never set in moredetail.pl :( and the template seems called only by it


$ grep -R "moredetail.tmpl" * | grep -v po
catalogue/moredetail.pl:                      'catalogue/moredetail.tmpl'),

$ grep enumchron catalogue/moredetail.pl 
$

Do I miss something?
Comment 7 Chris Cormack 2011-04-07 09:22:23 UTC
enumchron is inside the ITEM_DATA loop, which is populated with @items.

@items is populated by GetItemsInfo, which does
SELECT items.*, 

So enumchron is being passed to the template. All that was being tested here was the follow up patch (the original one is already in master) which is purely a cosmetic change.
Comment 8 claire.hernandez@biblibre.com 2011-04-07 14:48:42 UTC
Created attachment 3806 [details] [review]
signed patch (second)
Comment 9 claire.hernandez@biblibre.com 2011-04-07 14:49:34 UTC
oops... I am ashamed of my mistake.
Comment 10 Chris Cormack 2011-04-07 18:26:50 UTC
Don't be ashamed, it took me quite a while to track it down, and Ive been doing Koha for nearly 12 years now.
You are all doing excellently.
Comment 11 Chris Cormack 2011-04-08 02:25:38 UTC
Pushed, please test
Comment 12 MJ Ray (software.coop) 2011-04-08 06:29:10 UTC
This bug is mentioned in:
Bug 5921: Add enumchron to the	items detail page http://lists.koha-community.org/pipermail/koha-patches/2011-March/014201.html
Comment 13 Jared Camins-Esakov 2011-07-08 14:38:41 UTC
Seems to be working now. Closing.